using System;
using System.Collections.Generic;

namespace TeslaConsole;

public class AppEventArgs : EventArgs
{
	public Guid ApplicationId { get; private set; }

	public List<Guid> PodIds { get; private set; }

	public AppEventArgs(Guid applicationId, IEnumerable<Guid> podIds)
	{
		ApplicationId = applicationId;
		PodIds = new List<Guid>(podIds);
	}
}
